Skip to content

TellerTranValidate⁠

Perform various operations for Symitar parameters.

Operations⁠

getTellerTranValidateSelectFields⁠

POST

Execute the persistent ParameterService getTellerTranValidateSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTellerTranValidateSelectFields
POST /nexum/627/persistent/parameter/getTellerTranValidateSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllTellerTranValidateFields": true,
    "TellerTranValidateFields": {
      "After": [
        0
      ],
      "At": [
        0
      ],
      "Before": [
        0
      ],
      "HelpCode": [
        0
      ],
      "TableDepth": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateTellerTranValidateByID⁠

POST

Execute the persistent ParameterService updateTellerTranValidateByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateTellerTranValidateByID
POST /nexum/627/persistent/parameter/updateTellerTranValidateByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "TellerTranValidateFields": {
    "After": [
      {
        "EntryId": 0,
        "After": true
      }
    ],
    "At": [
      {
        "EntryId": 0,
        "At": true
      }
    ],
    "Before": [
      {
        "EntryId": 0,
        "Before": true
      }
    ],
    "HelpCode": [
      {
        "EntryId": 0,
        "HelpCode": 0
      }
    ],
    "TableDepth": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}